void aiback(int busca)

        
{ 



    

        int  iEntity; 
        void vEntity;
        void self        = getlocalvar("self");
        int  iMax        = openborvariant("ent_max");   
       
        


        for(iEntity=0; iEntity<iMax; iEntity++)
        {

        
        vEntity = getentity(iEntity);
        void  vName   = getentityproperty(vEntity, "model");
        
        

         

         if(vName==busca)
                    {

                                changeentityproperty(vEntity, "noaicontrol", 0);
                                damageentity(vEntity, self, 0, 0, openborconstant("ATK_NORMAL2" ));
                                
                                
                              
                    }
         }

}